\documentclass[graybox]{svmult}

\usepackage{amsmath,amssymb}
%\usepackage{amsthm}
\usepackage{graphicx}
\usepackage{hyperref}
\usepackage{subcaption}
\usepackage{float}
\usepackage{tikz}
\usetikzlibrary{decorations.pathreplacing,positioning,calc,intersections,3d,shapes.geometric,math}%,external}
%\tikzexternalize[prefix=tikz/]
\usepackage{colortbl}
\usepackage{algorithm,algpseudocode}

\newcommand{\dxdy}[2]{\frac{d #1}{d #2}}
\newcommand{\dxdyk}[3]{\frac{d^{#3} #1}{d {#2}^{#3}}}
\newcommand{\pdxdy}[2]{\frac{\partial #1}{\partial #2}}
\newcommand{\liminfty}[1]{\lim_{#1 \to \infty}}
\newcommand{\limab}[2]{\lim_{#1 \to #2}}

\newcommand{\abs}[1]{\left \vert #1 \right \vert}
\newcommand{\norm}[1]{\left \Vert #1 \right \Vert}
\newcommand{\order}[1]{\mathcal{O} \left ( #1 \right )}
\newcommand{\set}[1]{\left \{ #1 \right \}}
\newcommand{\Set}[2]{\left \{ #1 \ \middle \vert \ #2 \right \}}
\newcommand{\vmat}[1]{\begin{vmatrix} #1 \end{vmatrix}}
\DeclareMathOperator{\sign}{sign}
\DeclareMathOperator{\diag}{diag}

\newcommand{\bbn}{\mathbb{N}}
\newcommand{\bbz}{\mathbb{Z}}
\newcommand{\bbq}{\mathbb{Q}}
\newcommand{\bbr}{\mathbb{R}}
\newcommand{\bbc}{\mathbb{C}}
\newcommand{\bbf}{\mathbb{F}}

\newtheorem{conj}{Conjecture}
%\newtheorem{theorem}{Theorem}
%\newtheorem{lemma}[theorem]{Lemma}
%\newtheorem{corollary}[theorem]{Corollary}
%\newtheorem{proposition}[theorem]{Proposition}
%\newtheorem{definition}{Definition}

\definecolor{darkgreen}{rgb}{0,0.6,0.1}

\let\vec\mathbf

\title{Visualization of simplicial intersections}

\author{Conor McCoid}
\institute{Conor McCoid
	\at University of Geneva, \email{conor.mccoid@unige.ch}
	}

\begin{document}

\maketitle

%===New commands===%
\newcommand{\crosshatch}[2]{
	\foreach \x in {1,...,#1} {
		\draw[thick,black] (\x,0) -- (\x,-1-#2);}
	\foreach \x in {1,...,#2} {
		\draw[thick,blue] (0,-\x) -- (1+#1,-\x);}
	}
\newcommand{\crosshatchNew}[2]{
	\foreach[count=\i from 0] \x in {1,...,#1} {
		\node (O\i) at (\x-1,0) {\i};
		\node (T\i) at (\x-1,-#2-1) {};
		\draw (O\i) -- (T\i);}
	\foreach[count=\j from #1] \y in {1,...,#2} {
		\node (O\j) at (-1,-\y) {\j};
		\node (T\j) at (#1,-\y) {};
		\draw (O\j) -- (T\j);}
	\foreach[count=\i from 0] \x in {1,...,#1} {
		\foreach[count=\j from #1] \y in {1,...,#2} {
			\coordinate (\i\j) at (intersection of {O\i--T\i} and {O\j--T\j});
			}}
	}
\newcommand{\crosshatchExample}{
	\crosshatchNew{3}{3}
			\foreach \x in {03,04,13} {\filldraw[black] (\x) circle (2pt);}
			\foreach \x in {05,14,15,23,24,25} {\filldraw[blue,opacity=0.7] ([xshift=-2pt,yshift=-2pt]\x) rectangle ++(4pt,4pt);}
			}
\newcommand{\SimpGraph}[4]{
	\foreach \x in {1,...,#1} {
		\coordinate (#3\x) at ($#2 + (90-\x*360/#1+180/#1:#4)$);
		\filldraw[black] (#3\x) circle (1pt);}
	\foreach \x in {1,...,#1} {
		\foreach \y in {\x,...,#1} {
			\draw[black] (#3\x) -- (#3\y);}}
	}
\newcommand{\PlaneSplit}[3]{
	\draw[thick,red] ($#1 + (#2:1)$) -- ($#1 + (#3:1)$);}
	
\newcommand{\TriPrism}[0]{
	\foreach \x in {1,2,3} {
		\coordinate (S\x) at ($(0,-2) + (90-\x*360/3+180/3:1)$);
		\filldraw[black] (S\x) circle (1pt);}
	\draw[thick,black] (S1) --coordinate[midway] (Sm1) (S2) --coordinate[midway] (Sm2) (S3) --coordinate[midway] (Sm3) cycle;
	\foreach \x in {1,2,3} {
		\coordinate (T\x) at ($(2,0) + (90-\x*360/3+180/3:1)$);
		\filldraw[black] (T\x) circle (1pt);}
	\draw[thick,black] (T1) --coordinate[midway] (Tm1) (T2) --coordinate[midway] (Tm2) (T3) --coordinate[midway] (Tm3) cycle;
	\foreach \x in {1,2,3} {\draw[thick,blue] (S\x) --coordinate[midway] (ST\x) (T\x);}
	}
	
	\newcommand{\SimpGraphEmpty}[3]{
	\foreach \x in {1,...,#1} {
		\coordinate (#3\x) at ($#2 + (90-\x*360/#1+180/#1:1)$);}
	}
\newcommand{\SimpCoords}{
	\SimpGraphEmpty{3}{(0,0-2)}{S} \SimpGraphEmpty{3}{(3,0-2.5)}{T} \SimpGraphEmpty{3}{(1.5,2-2.5)}{U}
	\path (S3)--(T3) coordinate[midway] (023);
	\path (U3)--(T3) coordinate[near start] (123); % needs shifting?
	\path (S1)--(T1) coordinate[midway] (024);
	\path (U1)--(U3) coordinate[midway] (134);
	
	\path (S1)--(U1) coordinate[near end] (014); % needs shifting?
	\path (S2)--(U2) coordinate[very near end] (015);
	\path (S2)--(T2) coordinate[midway] (025);
	\path (U3)--(U2) coordinate[near end] (135);
	}
%===%

% problematic: the word element has two meanings -- member of a set, and building block of a polytope
	
\section{Introduction}

When projecting between nonmatching grids it is essential to intersect simplices.
The intersection between simplices in higher dimensions can be difficult to visualize and therefore account for.
This paper presents some techniques for visualizing these intersections to better understand them.
It may be possible to apply these techniques to other high dimensional problems.

The intersection of simplices reduces to the intersection between one simplex and successive hyperplanes that bound the second simplex.
We concern ourselves then with the intersection between a simplex and a sequence of hyperplanes.
We will call the result of cutting an object by a hyperplane a section.

\begin{definition}[Section]
The intersection between an object in $\bbr^n$ and a hyperplane with codimension 1 is called a section.
\end{definition}

A simplex in $\bbr^n$ is the convex hull between $n+1$ vertices, which may be indexed by elements of the set $\set{0,1,\dots,n}$.
A sectioning hyperplane divides these vertices into two sets, a positive set and a negative set.
All positive vertices lie on one side of the hyperplane while all negative vertices lie on the other.

Any edge of the simplex that intersects the hyperplane has one positive vertex and one negative vertex.
We will refer to these two vertices as parents, and in particular we will call the positive vertex the father and the negative vertex the mother.
The convex hull of the intersections of these edges and the hyperplane forms the simplicial section.
This is true not only for simplices but for any sectioned object.

\begin{definition}[Order of a section]
The intersection of a simplex and $k$ successive hyperplanes of codimension 1 which are neither coplanar nor parallel is called a $k$--th order section.
\end{definition}
%nb: check defn of coplanar

The vertices of a section can be indexed by those indices of its parents.
For example, if the 0th vertex is a father and the 2nd a mother then their child may be indexed uniquely by $\set{0,2}$.
While not discussed in detail here only those children whose parents differ by a single index lie on the exterior of the section.
That is, the child of vertices $\set{0,2}$ and $\set{1,3}$ lies in the interior of the section of the next order, and is of no interest to this discussion.

Therefore, the children of a $k$--th order section may be indexed by sets of cardinality one larger than their parents.
By induction the vertices of a $k$--th order section are indexed by sets of cardinality $k+1$, given that a 0th order section is the simplex which has vertices indexed by a single element.

\section{1st order sections}

The simplex has an edge between each pair of vertices.
Equivalently, the sets that index all vertices differ from all other indexing sets by exactly one element.
Thus, after the first hyerplane sections the simplex all fathers (those vertices on the positive side of the hyperplane) have one child with each of the mothers (those vertices on the negative side of the hyperplane).
The number of vertices in the resulting section is then the number of fathers, $N_f$, times the number of mothers, $N_m$.

To visualize this distribution I use a technique I call cross-hatching.
For each father draw a vertical line.
One may index each line with the set of each father.
Then for each mother draw a horizontal line, again indexing if desired.
Each crossing between a horizontal line and a vertical line represents a vertex of the section.

\begin{figure}
\centering
	\begin{tikzpicture}
		\matrix[row sep=1em, column sep=1em,every cell/.style={scale=0.7}]{
			\SimpGraph{6}{(0,-2)}{S}{2} 
			\foreach \x in {0,1,...,5} {\node at ($(0,-2)+(60-\x*60:2.3)$) {\x};}
			\coordinate (T1) at (0.25,-4); \coordinate (T2) at (0.25,0); \draw[very thick,red] (T1) -- (T2); 
			\foreach \x in {1,2,3} {\foreach \y in {4,5,6} {\filldraw[blue] (intersection of S\x--{S\y} and T1--T2) circle (3pt);}}
			&
			\crosshatchNew{3}{3}
%			\foreach[count=\i from 0] \x in {1,2,3} {\node[above] at (\x,0) {\i};}
%			\foreach[count=\i from 3] \x in {1,2,3} {\node[left] at (0,-\x) {\i};}
			&
			\SimpGraph{3}{(0,0-2)}{0}{1} \SimpGraph{3}{(3,0-2.5)}{2}{1} \SimpGraph{3}{(1.5,2-2.5)}{1}{1}
			\foreach \x in {1,2,3} {\foreach \y in {0,1} {\foreach \z in {1,2} {\draw[blue] (\y\x) -- (\z\x);}}}
			\foreach \x in {0,1,2} {\foreach \y[count=\i from 3] in {3,1,2} {\node[above] at (\x\y) {\x\i};}}
			\\};
	\end{tikzpicture}
	\caption{(Left) The 5-simplex sectioned by a hyperplane.
	(Middle) Cross-hatch diagram of the section.
	(Right) Graph of the section, the 3-3 duoprism in 4D.}
	\label{fig: simplex}
\end{figure}

\begin{lemma} \label{lem: children}
All children of the same parent, called siblings, neighbour one another in the graph of the section.
\end{lemma}

\begin{proof}
It suffices to prove the sets that index all children of a given parent have all but one element in common.
Without loss of generality let the given parent be a father.
Let the set that indexes the father be $J$.
A child is found only for those mothers whose indexing sets differ from $J$ by one element.
Then the union of the two indexing sets is $J \cup \set{j}$ for some element $j \notin J$.
Each child then is indexed by a set of this nature, and so they have all but one element in common.
\end{proof}

This lemma indicates that each line represents a simplex in the section with a number of vertices equal to the number of other lines.
That is, if there are two horizontal lines and three vertical lines then each of the two horizontal lines indicates a triangle that lies in the section, while each vertical line indicates a line segment.
Also of interest, each rectangle that can be drawn on the cross-hatch diagram indicates a rectangular face in the section.
The faces of any given section consist entirely of triangles and rectangles.
All cells (3D faces) in sections of sufficiently high dimension are triangular prisms.
Each cell can be found by taking the crossings of any three horizontal lines and any two vertical lines from the cross-hatch diagram, or vice versa.

\begin{lemma} \label{lem: duoprisms}
All 1st order sections are duoprisms.
If $N_f$ is the number of fathers of the simplex and $N_m$ is the number of mothers then the resulting section is the $N_f$-$N_m$ duoprism in dimension $N_f+N_m-2$.
\end{lemma}

\begin{proof}
Take any mother in the simplex.
This mother and all fathers lie in a subspace of dimension $N_f$.
This set of vertices forms an $N_f$-face of the simplex.
The intersection between this $N_f$-face and the hyperplane lies in a subspace of dimension $N_f-1$.
Moreover, by Lemma \ref{lem: children} this intersection is a simplex in this subspace.

This is true for every mother in the simplex.
That is, for each mother there is a subspace of dimension $N_f-1$ for which the section of the simplex is itself a simplex, specifically the $N_f$-simplex.
Since the section is convex this is also true for every point in the convex hull of the mothers.
This lies in a subspace of dimension $N_m-1$.

Taken together this shows the section is the Cartesian product between the $(N_f-1)$-simplex and some object of dimension $N_m-1$.
Reversing the role of father and mother in the above work one proves the section is also the Cartesian product between the $(N_m-1)$-simplex and some object of dimension $N_f-1$.
For both to be true the section is the Cartesian product of the $(N_f-1)$-simplex and the $(N_m-1)$-simplex.
\end{proof}

Note that the duoprisms in dimensions less than 4 are known by other names.
For example, the 2-3 duoprism in dimension 3 is the triangular prism.

\section{2nd order sections}

% results on 2nd order sections, relate tricks of cross-hatching to specific projections in 5D

For 1st order sections it is no longer the case that all vertices are neighbours to one another.
Which vertices are neighbours has been discussed in the previous section.
If we section the $n$-simplex then each vertex of its 1st order section has $n-1$ neighbours.
This can be seen by considering any crossing of the cross-hatch diagram, which represents a vertex of the section.
Along the same vertical line there are $N_m-1$ other crossings, each of which represents a sibling, see Lemma \ref{lem: children}.
Along the same horizontal line there are $N_f-1$ other crossings, giving a total of $N_f+N_m-2=n-1$ neighbours.

The vertices of 2nd order sections may have neighbours that are not siblings.
Since the indexing sets of 1st order section vertices are now larger than one it is possible to construct sets that differ by one element without using a common set as parent.

\begin{lemma} \label{lem: cousins}
Those children whose fathers are neighbours and whose mothers are neighbours, called cousins, neighbour one another in the graph of any section of order 2 and higher.
\end{lemma}

\begin{proof}
Let $J_1$ and $K_1$ be the sets that index a father and mother which neighbour, respectively, in a given section of order 1 or higher.
Let $J_2$ be a set that indexes a neighbour of the father and is itself a father, and let $K_2$ be a set that indexes a neighbour of the mother, is itself a mother and is a neighbour of $J_2$.

\begin{figure}
\centering
	\begin{tikzpicture}
		\matrix[row sep=1em, column sep=1em]{
			\node (J1) at (0,0) {$J_1$}; \node (J2) at (0,-1) {$J_2$}; \node (K1) at (1,0) {$K_1$}; \node (K2) at (1,-1) {$K_2$};
			\foreach \x in {J1,J2,K1} {\foreach \y in {J1,J2,K1,K2} {\draw (\x) -- (\y);}}
			\coordinate (H1) at (0.6,-1.2); \coordinate (H2) at (0.6,0.2); \draw[red] (H1)--(H2);
			\filldraw[blue] (intersection of J1--K2 and H1--H2) circle (1pt);
			\foreach \x in {J1--K1,J1--K2,J2--K1,J2--K2} {\filldraw[blue] (intersection of {\x} and H1--H2) circle (1pt);}
			&
			\node (J1) at (0,0) {$J_1$}; \node (J2) at (0,-1) {$J_2$}; \node (K1) at (1,0) {$K_1$}; \node (K2) at (1,-1) {$K_2$};
			\draw (J1)--(J2)--(K2)--(K1)--(J1);
			\coordinate (H1) at (0.6,-1.2); \coordinate (H2) at (0.6,0.2); \draw[red] (H1)--(H2);
			\foreach \x/\y in {J1/K1,J2/K2} {\filldraw[blue] (intersection of {\x--\y} and H1--H2) circle (1pt);}
		\\};
	\end{tikzpicture}
	\caption{Graphs of the four sets of interest with red lines indicating sectioning hyperplane. (Left) Each set differs by only one element. (Right) Each set differs by two elements.}
\end{figure}

The graph of these four vertices forms either a complete graph or a 4-cycle.
In the former case any children arising from these four vertices would be siblings and thus neighbours.
In the latter case, the intersection of all four is a set of cardinality $\abs{J_1}-2$, meaning the four sets differ from one another by two elements.
We may then ignore this set they have in common and suppose that all four sets have cardinality 2.
Without loss of generality we suppose
\begin{align*}
J_1 = & \set{0,1}, & J_2 = & \set{0,2}, \\
K_1 = & \set{1,3}, & K_2 = & \set{2,3}.
\end{align*}
Then $J_1 \cup K_1 = \set{0,1,3}$ and $J_2 \cup K_2 = \set{0,2,3}$, which are neighbours.
\end{proof}

\begin{corollary} \label{cor: 2nd}
Only siblings and cousins are neighbours in 2nd order sections.
\end{corollary}

\begin{proof}
The parents of vertices in 2nd order sections are indexed by sets of cardinality 2.
We may then continue to use the sets $J_1$, $J_2$, $K_1$ and $K_2$ from the previous proof.
Suppose, without loss of generality, that $K_2$ is no longer a neighbour of $K_1$ but is still a neighbour of $J_2$.
Then $K_2 = \set{2,4}$ and $J_2 \cup K_2 = \set{0,2,4}$ which is not a neighbour of $J_1 \cup K_2$.
Suppose also that $J_1$ and $J_2$ are not neighbours.
Then $J_2 = \set{2,5}$ and $J_2 \cup K_2 = \set{2,4,5}$ which is again not a neighbour of $J_1 \cup K_2$.
\end{proof}

On the cross-hatch diagram each crossing can be coloured to show whether it is a father or mother for the 2nd order section.
Due to convexity, the fathers and mothers occur in contiguous groupings.
One can organize the fathers such that they are grouped to the top left of the diagram, while the mothers occupy the bottom right.
Consider one of the fathers.
For every mother to its right along the same horizontal line and every mother below it along the same vertical line there is a new child in the 2nd order section.
Each straight line between a father and mother then represents a child.
\begin{figure}
\centering
	\begin{tikzpicture}
			\crosshatchExample
			\path[red,bend left,->] (03) edge (23) edge (05)
				(04) edge (14) edge (24) edge (05)
				(13) edge (14) edge (23) edge (15);
	\end{tikzpicture}
	\caption{Mothers (blue squares) and fathers (black circles) of a 1st order section.
	Eight children are identified by red arrows.
	To find the indexing sets of these children read first the labels of the vertical lines then those of the horizontal lines.
	The child represented by the line at the top of the diagram is then indexed by $\set{0,2,3}$.}
	\label{fig: 2nd children}
\end{figure}

If one can draw a right angle triangle such that the two orthogonal edges align with two lines on the cross-hatch diagram that represent children then those two children are neighbours in the 2nd order section.
The vertex of the triangle with the right angle represents a shared mother or father.
If instead one can draw a triangle with angle zero with such lines then the children are again neighbours.
Such a triangle has zero area but it is useful for us to still consider it a triangle.

If one can draw a rectangle on the diagram with two fathers and two mothers as the corners then the children who are represented by two sides of the rectangle are cousins and therefore neighbours, see Lemma \ref{lem: cousins}.
By Corollary \ref{cor: 2nd} these two shapes, triangles and rectangles, are the only shapes in the diagram that indicate edges of the 2nd order section.
\begin{figure}
\centering
	\begin{tikzpicture}
		\matrix[row sep=1em, column sep=1em, every cell/.style={scale=0.5}]{
			\crosshatchExample \draw[thick,red] (03)--(23); \draw[thick,red] (03)--(05); \filldraw[red,opacity=0.3] (03)--(23)--(05)--cycle; &
			\crosshatchExample \filldraw[red,opacity=0.3] (13)--(23)--(15)--cycle; &
			\crosshatchExample \filldraw[red,opacity=0.3] (13)--(23)--(14)--cycle; &
			\crosshatchExample \filldraw[red,opacity=0.3] (04)--(14)--(05)--cycle; \\
			\crosshatchExample \filldraw[red,opacity=0.3] (04)--(24)--(05)--cycle; &
			\crosshatchExample \filldraw[red,opacity=0.3] (14)--(13)--(04)--cycle; &
			\crosshatchExample \filldraw[red,opacity=0.3] (03)--(13)--(15)--(05)--cycle; &
			\crosshatchExample \filldraw[red,opacity=0.3] (03)--(23)--(24)--(04)--cycle; \\
			\crosshatchExample \filldraw[red,opacity=0.3] (03) to [bend left=20] (05) to [bend left=20] cycle; &
			\crosshatchExample \filldraw[red,opacity=0.3] (13) to [bend left=20] (15) to [bend left=20] cycle; &
			\crosshatchExample \filldraw[red,opacity=0.3] (03) to [bend left=20] (23) to [bend left=20] cycle; &
			\crosshatchExample \filldraw[red,opacity=0.3] (04) to [bend left=20] (24) to [bend left=20] cycle;
			\\};
	\end{tikzpicture}
	\caption{Edges of the 2nd order section as seen in the cross-hatch diagram.
	Two of the edges of each shape that are aligned with the cross-hatches represent the two children connected by these edges.}
	\label{fig: 2nd edges}
\end{figure}

Unlike for 1st order sections there is no immediate way to find the shape of the faces of the 2nd order section.
This is only possible by constructing the net of the section.
\begin{figure}
\centering
	\begin{tikzpicture}
			\coordinate (123) at (0,0);
			\coordinate (023) at (0,-1);
			\coordinate (134) at (-0.5,0.5);
			\coordinate (135) at (0.5,0.5);
			\coordinate (015) at (1,-0.5);
			\coordinate (014) at (-1,-0.5);
			\coordinate (025) at (0.75,-1.5);
			\coordinate (024) at (-0.75,-1.5);
			\node[below left] at (123) {123};
			\node[above right] at (023) {023};
			\node[above left] at (134) {134};
			\node[above right] at (135) {135};
			\node[right] at (015) {015};
			\node[left] at (014) {014};
			\node[below right] at (025) {025};
			\node[below left] at (024) {024};
			\foreach \x in {123,023,134,135,015,014,025,024} {\filldraw (\x) circle (1pt);}
			
			\draw (123) -- (023) -- coordinate[midway] (0234) (024) -- (014) -- (134) -- coordinate[midway] (1234) cycle;
			\draw (123) -- (135) -- coordinate[near end] (0135) (015) -- coordinate[midway] (0125) (025) -- (023);
			\draw (135) -- coordinate[near start] (1345) (134);
			\draw (014) -- (015);
			\draw (024) -- coordinate[near end] (0245) (025);
	\end{tikzpicture}
	\caption{Net of the 2nd order section resulting from the provided example.}
	\label{fig: net}
\end{figure}

\begin{figure}
\centering
	\begin{tikzpicture}
		\matrix[row sep=0em, column sep=1em, every cell/.style={scale=0.7}]{
		% S=0, T=2, U=1, 1->4, 2->5, 3->3
			\SimpCoords
			\foreach \x in {1,2,3} {\draw[black] (S\x) -- (U\x);}
			\foreach \x in {S,U} {\draw[black] (\x1) -- (\x2) -- (\x3) -- cycle;}
			\filldraw[blue,opacity=0.3] (134) node[above,black,opacity=1] {134} --(135) node[left,black,opacity=1] {135} --(015) node[below,black,opacity=1] {015} --(014) node[right,black,opacity=1] {014} --cycle;
			&
			\SimpCoords
			\foreach \x in {1,3} {\draw[black] (S\x)-- (T\x)-- (U\x)-- cycle;}
			\foreach \x in {S,T,U} {\draw[black] (\x1)--(\x3);}
			\filldraw[blue,opacity=0.3] (134) node[above,black,opacity=1] {134} --(123) node[left,black,opacity=1] {123} --(023) node[below left,black,opacity=1] {023} --(024) node[below right,black,opacity=1] {024} --(014) node[right,black,opacity=1] {014} --cycle;
			&
			\SimpCoords
			\foreach \x in {1,2,3} {\draw[black] (U\x)--(T\x);}
			\foreach \x in {U,T} {\draw[black] (\x1)--(\x2)--(\x3)--cycle;}
			\filldraw[blue,opacity=0.3] (134) node[above,black,opacity=1] {134} --(135) node[below,black,opacity=1] {135} --(123) node[left,black,opacity=1] {123} --cycle;
			\\
			\SimpCoords
			\foreach \x in {1,2} {\draw[black] (S\x)--(T\x)--(U\x)--cycle;}
			\foreach \x in {S,T,U} {\draw[black] (\x1)--(\x2);}
			\filldraw[blue,opacity=0.3] (015) node[left,black,opacity=1] {015} --(025) node[below,black,opacity=1] {025} --(024) node[right,black,opacity=1] {024} --(014) node[above,black,opacity=1] {014} --cycle;
			&
			\SimpCoords
			\foreach \x in {1,2,3} {\draw[black] (S\x)--(T\x);}
			\foreach \x in {S,T} {\draw[black] (\x1)--(\x2)--(\x3)--cycle;}
			\filldraw[blue,opacity=0.3] (023) node[left,black,opacity=1] {023} --(024) node[above right,black,opacity=1] {024} --(025) node[below,black,opacity=1] {025} --cycle;
			&
			\SimpCoords
			\foreach \x in {3,2} {\draw[black] (S\x)--(T\x)--(U\x)--cycle;}
			\foreach \x in {S,T,U} {\draw[black] (\x3)--(\x2);}
			\filldraw[blue,opacity=0.3] (023) node[left,black,opacity=1] {023} --(025) node[below,black,opacity=1] {025} --(015) node[above right,black,opacity=1] {015} --(135) node[above right,black,opacity=1] {135} --(123) node[left,black,opacity=1] {123} --cycle;
		\\};
	\end{tikzpicture}
	\caption{Cells of the 3-3 duoprism with a hyperplane projected onto each showing the faces of the 2nd order section of the example.}
	\label{fig: cells}
\end{figure}
Even with the provided tools it remains a challenge to visualize the 2nd order section of the example from the figures.
To help, Figure \ref{fig: cells} gives the cells of the 3-3 duoprism, which is the 1st order section from Figure \ref{fig: simplex}.
Collecting the hyperplane cuts of these cells one finds the net of Figure \ref{fig: net}.

\section{General results on sections}

\begin{lemma} \label{lem: faces}
In a section of sufficiently high order, those vertices that are indexed by sets that share all but $m$ elements are found on the same $m$-dimensional face of the section.
That is, if they share all but 1 element they are found on the same 1D face, an edge;
if all but 2 the same 2D face, called simply a face;
if all but 3 the same cell; etc.
\end{lemma}

\begin{proof}
Each vertex in a $k$-th order section is the intersection of a $k$-dimensional face of the starting simplex and $k$ hyperplanes.
Suppose two vertices are indexed by sets $J$ and $K$ that share all but $m$ elements.
The set $J \cup K$ then has $k+m$ elements and indexes a $(k+m-1)$-dimensional face of the simplex, which is itself a simplex.
The section of this sub-simplex by the same $k$ hyperplanes that gave the original $k$-th order section gives an $m$-dimensional face of the original section.
Both $J$ and $K$ vertices lie on this face, since the $k$-dimensional faces of the starting simplex they index lie within the sub-simplex. % can this be turned into a proof by induction so that it's clearer?
\end{proof}

\begin{lemma}
The vertices of a $k$-th order section of an $n$-simplex have exactly $n-k$ neighbours.
\end{lemma}

\begin{proof}
A $k$-th order section is a polytope in dimension $n-k$.
As such, each of its edges is shared with $n-k-1$ faces.
When taking the section of a $k$-th order section each edge cut by the hyperplane represents a child in the $(k+1)$-th order section.
Each face can be cut either twice or not at all, since the hyperplane restricted to the 2D subspace of the face is a line, giving two children per face.
By Lemma \ref{lem: faces} all indexing sets of the parents on the face share all but two indices, and so any children of the face share all but one element, making them neighbours.
This means each vertex of the $(k+1)$-th order section has $n-k-1$ neighbours.
\end{proof}

\section{Conclusion}

The technique of cross-hatching simplifies much of the work involved in intersecting a simplex with one hyperplane.
The 1st order section becomes a relatively straightforward object to consider.

Certain aspects of the 2nd order section also are made easier with the cross-hatch diagram.
In particular, indexing its vertices and determining the edges and net can be done quickly.
Sadly, finding the faces is not as trivial as in the case of the 1st order section.

Higher order sections will prove even more challenging.
Two general results are provided in the previous section that may aid in this task.

I found enumerating these sections useful while writing an algorithm for the intersection of simplices, as it allowed me to consider a number of otherwise incomprehensible use-cases.
The techniques presented here may prove handy for others in similar situations.

%\bibliographystyle{siam}
%\bibliography{references}

\end{document}